<template>
    <div class="flex">
        <ScrollIndicator :sectionElements="sectionElements"/>
        <div class="w-full text-white" >
            <div class="flex intro min-h-screen w-full text-white">
                <div class="flex flex-col font-bold h-full mt-64 w-full"> <!--texte d 'introduction-->
                    <p class="text-6xl">I'm <a href="#" class="text-blue-300 hover:text-blue-200">Antoine</a>. I'm a fullstack web developer.</p>
                    <div class="text-3xl my-3">
                        <p class="my-3">
                            Take a look at my socials network...
                        </p>
                        <div class="my-3">
                            <ul class="flex gap-6">
                                <li>
                                    <a href="#">
                                        <img class="bg-slate-100 h-20 w-20" src />
                                    </a>
                                </li>
                                <li>
                                    <a href="#">
                                        <img class="bg-slate-100 h-20 w-20" src />
                                    </a>
                                </li>
                                <li>
                                    <a href="#">
                                        <img class="bg-slate-100 h-20 w-20" src />
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <div>
                        <button class="bg-slate-700 hover:bg-slate-400 py-4 px-8 rounded-lg m-3" >Get my resume</button>
                        <button class="bg-slate-700 hover:bg-slate-400 py-4 px-8 rounded-lg m-3" >More about me</button>
                    </div>
                </div>
                <div class="bg-red-600 w-1/2">
                    picture
                </div>
            </div>
            <div id="about-me" class="p-4 bg-blue-100">
                <h2 class="text-3xl font-bold bg-red-200">
                    About me
                </h2>
                <div class="flex p-4">
                    <div class="h-96 w-80 bg-red-400">

                    </div>
                    <div class="p-3">
                        <p class="text-4xl font-bold">
                            Antoine LIN
                        </p>
                        <p>
                            I'm 22 years old French student and located in Paris 13rd. I can speak in French and English, I have a Bachelor degree in Web Development at ESGI and actually studying to graduate for a master in web development.
                            I read kind of a lot of manga, and currently interested in musculation and learning calestenics.

                            
                        </p>
                    </div>
                </div>
                <div>
                    <p>
                        Something
                    </p>
                </div>
            </div>
            <div id="my-projects" class="p-4">
                <h2 class="text-3xl font-bold mb-4">
                    My Projects
                </h2>
                <div class="flex flex-col gap-4">
                    <div class="bg-white rounded-lg h-32">
                        test
                    </div>
                    <div class="bg-white rounded-lg h-32">
                        test
                    </div>
                    <div class="bg-white rounded-lg h-32">
                        test
                    </div>
                    <div class="bg-white rounded-lg h-32">
                        test
                    </div>
                    <div class="bg-white rounded-lg h-32">
                        test
                    </div>
                    <div class="bg-white rounded-lg h-32">
                        test
                    </div>
                </div>
            </div>
            <div id="my-skills" class="p-4">
                <h2 class="text-3xl font-bold mb-4">
                    My Skills
                </h2>
                <div class="grid grid-cols-12 gap-4">
                    <div class="bg-white rounded-lg h-24 w-24">
                        PHP
                    </div>
                    <div class="bg-white rounded-lg h-24 w-24">
                        test
                    </div>
                    <div class="bg-white rounded-lg h-24 w-24">
                        test
                    </div>
                    <div class="bg-white rounded-lg h-24 w-24">
                        test
                    </div>
                    <div class="bg-white rounded-lg h-24 w-24">
                        test
                    </div>
                    <div class="bg-white rounded-lg h-24 w-24">
                        test
                    </div>
                </div>
            </div>
            <div id="my-experiences" class="p-4">
                <h2 class="text-3xl font-bold mb-4">
                    My Experiences
                </h2>
                <div class="flex flex-col gap-4">
                    <div class="flex bg-blue-200/80 rounded-lg">
                        <img class="rounded-lg h-32 w-32 m-3" src />
                        <div>
                            <span>Frontend Developer</span>
                            <span>Dexyde SAS</span>
                            <span>2021 - 2022</span>
                        </div>
                    </div>
                    <div class="flex bg-blue-200/80 rounded-lg">
                        <img class="rounded-lg h-32 w-32 m-3" src />
                        <div>
                            <span>Backend Developer</span>
                            <span>Agence Dn'D</span>
                            <span>2019 - 2020</span>
                        </div>
                    </div>
                    <div class="flex bg-blue-200/80 rounded-lg">
                        <img class="rounded-lg h-32 w-32 m-3" src />
                        <div>
                            <span>Web developer student</span>
                            <span>ESGI</span>
                            <span>2018 - 2023</span>
                        </div>
                    </div>
                </div>
            </div>
            <div id="lets-get-in-touch" class="p-4">
                <h2 class="text-3xl font-bold mb-4">
                    Let's Get In Touch!
                </h2>
                <div class="grid grid-cols-12 gap-4">
                    <div class="bg-white rounded-lg h-24 w-24">
                        test
                    </div>
                    <div class="bg-white rounded-lg h-24 w-24">
                        test
                    </div>
                    <div class="bg-white rounded-lg h-24 w-24">
                        test
                    </div>
                    <div class="bg-white rounded-lg h-24 w-24">
                        test
                    </div>
                    <div class="bg-white rounded-lg h-24 w-24">
                        test
                    </div>
                    <div class="bg-white rounded-lg h-24 w-24">
                        test
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        data() {
            return {
                oldScroll: 0,
                scrollEnded: true,
                sectionElements: [
                    {
                        id: "about-me",
                        name: "About me"
                    },
                    {
                        id: "my-projects",
                        name: "My Projects"
                    },
                    {
                        id: "my-skills",
                        name: "My Skills"
                    },
                    {
                        id: "my-experiences",
                        name: "My Experiences"
                    },
                    {
                        id: "lets-get-in-touch",
                        name: "Let's Get In Touch!"
                    }
                ]
            }
        },
        methods: {
            handleScroll () {
                // display scroll indicator
                if (window.scrollY < window.innerHeight) {
                    if (this.scrollEnded) {
                        if (this.oldScroll < window.scrollY) {
                            window.scrollTo({
                                top: window.innerHeight,
                                left: 0,
                                behavior: 'smooth'
                            });

                            this.scrollEnded = false;
                        }
                    }
                } else {
                    this.scrollEnded = true;
                }

                this.oldScroll = window.scrollY
            }
        },
        beforeMount () {
            window.addEventListener('scroll', this.handleScroll);
        },
        beforeDestroy() {
            window.removeEventListener('scroll', this.handleScroll);
        }
    }
</script>
                
                